### Method

# Gimp Config serialize_to_fd

since: 2.4

#### Declaration [src]

    gboolean
    gimp_config_serialize_to_fd (
      GimpConfig* config,
      gint fd,
      gpointer data
    )

#### Description [src]

Serializes the object properties of `config` to the given file descriptor.

Available since: 2.4

#### Parameters

`fd`

  Type: `gint`

  A file descriptor, opened for writing.

`data`

  Type: `gpointer`

  User data passed to the serialize implementation.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if serialization succeeded, `FALSE` otherwise.